package cd.casic.ci.common.pipeline.pojo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.common.pipeline.pojo
 * @Project：ops-pro
 * @name：AtomBaseInfo
 * @Date：2025/03/25 15:38
 * @Filename：AtomBaseInfo
 * @description：Todo
 */
@Data
@Schema(title = "插件基本信息")
public class AtomBaseInfo {
    @Schema(title = "插件Id", required = true)
    private String atomId;
    @Schema(title = "插件代码", required = true)
    private String atomCode;
    @Schema(title = "插件版本号", required = true)
    private String version;
    @Schema(title = "插件状态", required = true)
    private String atomStatus;
    @Schema(title = "插件开发语言", required = false)
    private String language;
    @Schema(title = "分支", required = false)
    private String branch;
    @Schema(title = "代码提交ID", required = false)
    private String commitId;
    @Schema(title = "支持的操作系统名称", required = false)
    private String osName;
    @Schema(title = "支持的操作系统架构", required = false)
    private String osArch;
    @Schema(title = "不支持的操作系统组合信息", required = false)
    private String invalidOsInfo;
    @Schema(title = "运行时版本", required = false)
    private String runtimeVersion;
}
