package cd.casic.ci.log.dal.pojo.enums;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;

/**
 * @author by mianbin
 * @Classname LogErrorCodeEnum
 * @Description 日志错误状态码枚举
 * @Date 2025/3/19 17:06
 */
@Schema(title = "日志错误状态码")
@AllArgsConstructor
public enum LogErrorCodeEnum {
    PRINT_QUEUE_LIMIT(2108005, "log print queue exceeds the limit"),
    PRINT_IS_DISABLED(2108006, "log print config is disabled");

    public int errorCode;
    public String formatErrorMessage;
}
