package cd.casic.ci.process.api.process.pojo;

import cd.casic.ci.log.scm.enums.ScmType;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.pipelineciprocessapi.process.pojo
 * @Project：ops-pro
 * @name：PipelineBuildMaterial
 * @Date：2025/03/24 15:53
 * @Filename：PipelineBuildMaterial
 * @description：Todo
 */
@Data
@Schema(title = "")
public class PipelineBuildMaterial {
    @Schema(title = "代码库类型", required = false)
    private String scmType = ScmType.CODE_TGIT.name();
    @Schema(title = "别名", required = false)
    private String aliasName;
    @Schema(title = "url 地址", required = false)
    private String url;
    @Schema(title = "分支名称", required = false)
    private String branchName;
    @Schema(title = "当前最新提交id", required = false)
    private String newCommitId;
    @Schema(title = "当前提交备注信息", required = false)
    private String newCommitComment;
    @Schema(title = "提交次数", required = false)
    private Integer commitTimes;
    @Schema(title = "是否为源材料主仓库", required = false)
    private Boolean mainRepo = false;
    @Schema(title = "提交时间", required = false)
    private Long createTime = System.currentTimeMillis() / 1000;
    @Schema(title = "插件ID", required = false)
    private String taskId;
}
