package cd.casic.ci.process.api.process.pojo.template;

import cd.casic.ci.common.pipeline.pojo.BuildFormProperty;
import cd.casic.ci.common.pipeline.pojo.BuildNo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.pipelineciprocessapi.process.pojo.template
 * @Project：ops-pro
 * @name：TemplateInstanceParams
 * @Date：2025/03/24 19:08
 * @Filename：TemplateInstanceParams
 * @description：Todo
 */

@Data
public class TemplateInstanceParams {
    @Schema(title = "流水线模型", required = false)
    private String pipelineId;
    @Schema(title = "流水线名称", required = false)
    private String pipelineName;
    @Schema(title = "构建号，不建议使用", required = false)
    private BuildNo buildNo;
    @Schema(title = "流水线变量列表", required = false)
    private List<BuildFormProperty> param;
    @Schema(title = "是否更新了推荐版本号基准值", required = false)
    private Boolean updateBuildNo;
}
