package cd.casic.ci.project.pojo.mq;


import cd.casic.framework.mq.redis.core.stream.AbstractRedisStreamMessage;
import lombok.Data;
import lombok.EqualsAndHashCode;

@EqualsAndHashCode(callSuper = true)
@Data
public class ProjectBroadCastEvent extends AbstractRedisStreamMessage {
    private String userId;
    private String projectId;
    private Integer retryCount;
    private Integer delayMills;
    private Integer retryTime;
}
