package cd.casic.ci.log.scm.dal.pojo.github;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class GithubToken {

    @Schema(name = "access_token", description = "鉴权token")
    private String accessToken;

    @Schema(name = "token_type", description = "token类型")
    private String tokenType;

    @Schema(description = "范围")
    private String scope;
}
