package cd.casic.pipeline.store.api.image;

import cd.casic.framework.commons.pojo.CommonResult;
import cd.casic.pipeline.store.pojo.common.classify.Classify;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@Tag(name = "USER_MARKET_IMAGE_CLASSIFY", description = "镜像-镜像分类")
@RestController
@RequestMapping("/user/market/image/classifys")
public interface UserImageClassifyResource {

    @Operation(summary = "获取所有镜像分类信息")
    @GetMapping("/")
    CommonResult<List<Classify>> getAllImageClassifys();
}