package cd.casic.pipeline.store.pojo.atom;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
@Schema(title = "插件替换自定义参数转换请求报文")
public class AtomReplaceParamConvertRequest {
    @Schema(title = "替换插件代码", required = true)
    private String toAtomCode;
    @Schema(title = "替换插件版本", required = true)
    private String toAtomVersion;
    @Schema(title = "被替换插件字段名称", required = true)
    private String fromField;
    @Schema(title = "被替换插件字段值", required = false)
    private Object fromFieldValue;
    @Schema(title = "替换插件字段名称", required = true)
    private String toField;
    @Schema(title = "替换插件字段值", required = false)
    private Object toFieldDefaultValue;
}