package cd.casic.pipeline.store.pojo.atom;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

@Data
@Schema(title = "插件版本替换信息")
public class AtomVersionReplaceInfo {
    @Schema(title = "被替换插件版本", required = true)
    private String fromAtomVersion;
    @Schema(title = "替换插件版本", required = true)
    private String toAtomVersion;
    @Schema(title = "插件参数替换信息", required = false)
    private List<AtomParamReplaceInfo> paramReplaceInfoList;
}