package cd.casic.pipeline.store.pojo.common.publication;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
@Schema(title = "store组件构建信息")
public class StoreBuildInfo {
    @Schema(title = "store组件Id", required = true)
    private String storeId;

    @Schema(title = "流水线Id", required = true)
    private String pipelineId;

    @Schema(title = "构建Id", required = true)
    private String buildId;

    @Schema(title = "调试项目标识", required = true)
    private String projectCode;
}
