package cd.casic.pipeline.store.pojo.common.publication;

import cd.casic.ci.common.pipeline.enums.BuildStatus;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class StoreBuildResultRequest {
    @Schema(title = "用户ID", required = true)
    private String userId;
    @Schema(title = "流水线构建状态", required = true)
    private BuildStatus buildStatus;
    @Schema(title = "组件ID", required = true)
    private String storeId;
}
