package cd.casic.ci.common.pipeline.enums;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.common.pipeline.enums
 * @Project：ops-pro
 * @name：StageRunCondition
 * @Date：2025/03/25 17:17
 * @Filename：StageRunCondition
 * @description：运行选项
 */
public enum StageRunCondition {
    AFTER_LAST_FINISHED, // 上个阶段执行结束
    CUSTOM_VARIABLE_MATCH, // 自定义变量全部满足时运行
    CUSTOM_VARIABLE_MATCH_NOT_RUN, // 自定义变量全部满足时不运行
    CUSTOM_CONDITION_MATCH // 满足以下自定义条件时运行
    ;
}
