package cd.casic.pipeline.dispatch.api;

import cd.casic.pipeline.dispatch.pojo.AgentStartMonitor;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.Parameter;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Tag(name = "SERVICE_AGENT", description = "服务-Agent")
@RestController
@RequestMapping("/service/dispatch/jobs")
public interface ServiceDispatchJobResource {

    @Operation(summary = "监控")
    @PostMapping("/monitor")
    void monitor(
            @Parameter(description = "agent 事件", required = true)
            AgentStartMonitor agentStartMonitor
    );
}
