package cd.casic.pipeline.dispatch.pojo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author by mianbin
 * @Classname VMType
 * @Description TODO
 * @Date 2025/4/8 16:43
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Schema(title = "虚拟机类型")
public class VMType {
    @Schema(title = "类型ID", required = true)
    private Integer id;
    @Schema(title = "类型名称", required = true)
    private String typeName;
    @Schema(title = "创建时间", required = true)
    private Long createdTime;
    @Schema(title = "修改时间", required = true)
    private Long updatedTime;
}
