package cd.casic.pipeline.environment.pojo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;

import java.util.List;

@Data
@AllArgsConstructor
@Schema(title = "节点(分页)")
public class NodePage {
    @Schema(title = "节点总数", required = true)
    private final Integer total;

    @Schema(title = "节点详情", required = true)
    private final List<NodeDevCloudInfo> data;
} 