package cd.casic.pipeline.environment.pojo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

@Data
@Schema(title = "T_ENV_SHARE_PROJECT POJO")
public class TEnvShareProjectInfo {
    @Schema(title = "环境ID")
    private Long envId;

    @Schema(title = "名称")
    private String envName;

    @Schema(title = "主项目ID")
    private String mainProjectId;

    @Schema(title = "共享的目标项目ID")
    private String sharedProjectId;

    @Schema(title = "目标项目名称")
    private String sharedProjectName;

    @Schema(title = "类型")
    private String type;

    @Schema(title = "创建者")
    private String creator;

    private LocalDateTime createTime;

    private LocalDateTime updateTime;
} 