package cd.casic.ci.process.api.process.pojo.template;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;
import java.util.Map;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.pipelineciprocessapi.process.pojo.template
 * @Project：ops-pro
 * @name：TemplateOperationMessage
 * @Date：2025/03/24 19:29
 * @Filename：TemplateOperationMessage
 * @description：Todo
 */

@Data
public class TemplateOperationMessage {
    @Schema(title = "成功的流水线", required = false)
    private List<String> successPipelines;

    @Schema(title = "失败的流水线", required = false)
    private List<String> failurePipelines;

    @Schema(title = "失败信息", required = false)
    private Map<String, String> failureMessages;

    @Schema(title = "成功的流水线id", required = false)
    private List<String> successPipelinesId;
}
