package cd.casic.ci.log.scm.config;

import org.springframework.boot.autoconfigure.AutoConfigureOrder;
import org.springframework.boot.autoconfigure.condition.ConditionalOnWebApplication;
import org.springframework.context.annotation.Configuration;
import org.springframework.core.Ordered;

/**
 * @author mianbin
 * @description P4配置
 * @date 2023/1/16 10:56
 */
@Configuration
@ConditionalOnWebApplication
@AutoConfigureOrder(value = Ordered.LOWEST_PRECEDENCE)
public class P4Config {

    public String p4HookUrl = "";
}
