package cd.casic.ci.log.scm.utils;

/**
 * @author by mianbin
 * @Classname WebhookUtils
 * @Date 2025/3/21 10:09
 */
public class WebhookUtils {
    public static final Integer CUSTOM_P4_TRIGGER_VERSION = 2;

    public static Boolean isCustomP4TriggerVersion(String version) {
        return getMajorVersion(version) >= CUSTOM_P4_TRIGGER_VERSION;
    }

    private static Integer getMajorVersion(String version) {
        assert version != null;
        String[] strings = version.split("\\.");
        return Integer.valueOf(strings[0]);
    }
}
