package cd.casic.pipeline.store.pojo.atom;

import cd.casic.ci.common.pipeline.enums.FrontendTypeEnum;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
@Schema(title = "插件配置信息")
public class AtomConfigInfo {
    @Schema(title = "前端UI渲染方式", required = true)
    private FrontendTypeEnum frontendType = FrontendTypeEnum.NORMAL;
    @Schema(title = "是否为默认插件", required = true)
    private Boolean defaultFlag = false;
}