package cd.casic.pipeline.store.pojo.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum StoreMemberTypeEnum {
    ADMIN(0), // 管理员
    DEVELOPER(1); // 开发人员

    private final int type;

    public static String getAtomMemberType(int type) {
        switch (type) {
            case 0: return ADMIN.name();
            case 1: return DEVELOPER.name();
            default: return DEVELOPER.name();
        }
    }
}