package cd.casic.pipeline.store.pojo.template.enums;

import lombok.Getter;

@Getter
public enum MarketTemplateSortTypeEnum {
    NAME,
    CREATE_TIME,
    UPDATE_TIME,
    PUBLISHER,
    DOWNLOAD_COUNT;

    public static String getSortType(String type) {
        if (NAME.name().equals(type)) {
            return "TEMPLATE_NAME";
        } else if (UPDATE_TIME.name().equals(type)) {
            return UPDATE_TIME.name();
        } else if (PUBLISHER.name().equals(type)) {
            return PUBLISHER.name();
        } else if (DOWNLOAD_COUNT.name().equals(type)) {
            return DOWNLOAD_COUNT.name();
        }
        return CREATE_TIME.name();
    }
}